#!/usr/bin/perl
# -----------------------------------------------------------------------------
# TWC
# Treuwert-Computer GmbH
# Schloßbergring 9
# 79098 Freiburg
#
# Author: Klaus Reger <K.Reger@twc.de>
#
# -----------------------------------------------------------------------------
# Program-Data
# -----------------------------------------------------------------------------
# Project  :
# System   :
# Program  :
# Module   : $RCSfile: TestHash.t,v $
# Version  : $Revision: 1.1 $
# Date     : $Date: 2002/02/28 15:23:50 $
# State    : $State: Exp $
#
# Description:
#   This module handles all the things of WWWdb, which have
#   to do with Hash
#
# Change-log (See at end of this file)
#
# --- Known Bugs -------------
# please look at the BUGS-File
# --- TODO -------------------
# please look at the TODO-File
# ----------------------------------------------------------------------------


use WWWdb::Hash;

$oHashGL = Hash->new();

$oHashGL->Set("ZERO", 0);
$oHashGL->Set("ONE", 1);
$oHashGL->Set("TWO", 2);
$oHashGL->Set("THREE", Hash->new());

$oSecondHash = $oHashGL->Get("THREE");
$oSecondHash->Set("ONE", "I");
$oSecondHash->Set("THIRTY", "XXX");

$oHashGL->Set("FIFTEEN", 15);

$oHashGL->Delete("TWO");
$oHashGL->Set("TWO", "Zwei");

foreach ($oHashGL->Get())
{
   printf "Entry %s => %s\n", $_, $oHashGL->Get($_);
}

$oHashGL->ShowAttributes();

$oHashGL->Dump();



